# Class BrightcoveVideoCuePoint

#####
Index

### Constructors

constructor

### Properties

endTime
forceStop
id
metadata
name
startTime
type

### Methods

toString

## Constructors

### constructor

- new BrightcoveVideoCuePoint(cuePointDto, startTime, endTime): BrightcoveVideoCuePoint

- #### Parameters

  - cuePointDto: VideoCuePointDto
  - startTime: number
  - endTime: number

  #### Returns BrightcoveVideoCuePoint

## Properties

### `Readonly` endTime

endTime: number

### `Readonly` forceStop

forceStop: boolean

### `Readonly` id

id: string

### `Readonly` metadata

metadata: string

### `Readonly` name

name: string

### `Readonly` startTime

startTime: number

### `Readonly` type

type: "code" | "ad"

## Methods

### toString

- toString(): string

- #### Returns string